<template>
    <div class="module-popup" :class="{'open':open}">
        <div @click="closeOpen" class="overlay"></div>
        <div class="popup">
            <div class="title">Are You Sure?</div>
            <div class="message">
                This action
                <strong>cannot</strong> be reversed.
            </div>
            <div class="actions">
                <button @click="confirmAction" class="delete">Delete The Note</button>
                <button @click="closeOpen" class="cancel">Cancel</button>
            </div>
        </div>
    </div>
</template>

<script lang='ts'>
import Vue from 'vue'
import Component, { mixins } from 'vue-class-component'
import { ModulePopupMixin } from '@/app/Editor/components/mixins/ModulePopup'

@Component
export default class App extends mixins(ModulePopupMixin) {}
</script>